### Method

# Fwupd Remote build_metadata_uri

since: 1.9.8

#### Declaration [src]

    gchar*
    fwupd_remote_build_metadata_uri (
      FwupdRemote* self
      GError** error
    )

#### Description [src]

Builds a URI for the metadata signature using the username and password set for the remote.

Available since: 1.9.8

#### Return value

Type: `gchar*`

A URI, or `NULL` for error.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.